package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

public class Tag71GCreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag71GCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        String tag71GValue = mt103STPCreator.getReceiversCharges();
        mt103STPCreator.set("71G", tag71GValue);
    }
}
